> For the complete documentation index, see [llms.txt](https://docs.amigo.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.amigo.ai/api-reference/readme/classic.md).

# Classic

The Classic API at `api.amigo.ai` powers text-based digital health experiences: chat agents, async voice notes, WebSocket streaming, user management, simulations, and data access. It is organization-scoped: clients exchange an API key for a per-user bearer token (JWT) and act on behalf of that user. To get set up, start with the [Developer Guide getting started page](https://docs.amigo.ai/developer-guide/getting-started).

Browse the endpoint reference in this section, or jump to the related pages:

{% content-ref url="/pages/uf7w5MQjCY2ldvmRrVVs" %}
[Platform](/api-reference/readme/platform.md)
{% endcontent-ref %}

{% content-ref url="/pages/xeTm226uVfQa8aU6u77u" %}
[Amigo API](/api-reference/change-logs/amigo-api.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.amigo.ai/api-reference/readme/classic.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
